NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Properties | List of all members
NXOpen.CAE.LaminatePlySectionBuilder Class Reference

Represents a NXOpen.CAE.LaminatePlySection builder More...

Inheritance diagram for NXOpen.CAE.LaminatePlySectionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Properties

unsafe double CoreOffsetScale [get, set]
 Returns or sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves More...
 
unsafe int PlyColor [get, set]
 Returns or sets the ply color defines the color of the ply curves More...
 
unsafe double PlyOffsetScale [get, set]
 Returns or sets the ply offset scale factor scales the distance between the ply curves, except the core More...
 
unsafe string SectionName [get, set]
 Returns or sets the name of the ply section More...
 
unsafe NXOpen.Plane SectionPlane [get, set]
 Returns or sets the plane on which to compute the ply section More...
 
unsafe bool SelectAllLaminates [get, set]
 Returns or sets the option to consider all existing laminates More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.LaminatePlySection builder

To create a new instance of this class, use NXOpen.CAE.LaminateGlobalLayupMgr.CreatePlySectionBuilder

Created in NX1847.0.0

Property Documentation

unsafe double NXOpen.CAE.LaminatePlySectionBuilder.CoreOffsetScale
getset

Returns or sets the core offset scale factor scales the distance between the core ply and the 2 adjacent ply curves

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe int NXOpen.CAE.LaminatePlySectionBuilder.PlyColor
getset

Returns or sets the ply color defines the color of the ply curves

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe double NXOpen.CAE.LaminatePlySectionBuilder.PlyOffsetScale
getset

Returns or sets the ply offset scale factor scales the distance between the ply curves, except the core

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe string NXOpen.CAE.LaminatePlySectionBuilder.SectionName
getset

Returns or sets the name of the ply section

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe NXOpen.Plane NXOpen.CAE.LaminatePlySectionBuilder.SectionPlane
getset

Returns or sets the plane on which to compute the ply section

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")

unsafe bool NXOpen.CAE.LaminatePlySectionBuilder.SelectAllLaminates
getset

Returns or sets the option to consider all existing laminates

Created in NX1847.0.0

License requirements to get this property: nx_lam_comp_adv ("Laminate Composites Advanced")

License requirements to set this property: nx_lam_comp_adv ("Laminate Composites Advanced")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.